Loading...
Searching...
No Matches
idrec.h File Reference
`#include "Singular/lists.h"`
`#include "Singular/attrib.h"`
`#include "Singular/links/silink.h"`

Go to the source code of this file.

## Data Structures

union | utypes
class | idrec

## Data Structure Documentation

## uutypes

union uutypes

Definition at line 16 of file idrec.h.

Data Fields
bigintmat * | bim |
int | i |
intvec * | iv |
lists | l |
si_link | li |
number | n |
poly | p |
package | pack |
procinfo * | pinf |
ideal | uideal |
map | umap |
matrix | umatrix |
ring | uring |
char * | ustring |